## File "Configs/mailhost.py"
## -*- coding: utf-8 -*-
# 
# Configuration of portal mailhost.



## MAILHOST_CONFIGURATION
# 
# Edit this dictonnary to update mail host configuration.
# 
# * 'title' (required) : string
#   Title of the mail host.
# 
# * 'smtp_host' (required) : string
#   Host name of the smtp server.
# 
# * 'smtp_port' (required) : integer
#   Port of the smtp server.
# 
# * 'smtp_userid' (required) : string / None
#   User login for the smtp server.
# 
# * 'smtp_pass' (required) : string / None
#   User password for the smtp server.
# 
# 
# See setConfiguration() arguments in SecureMailHost/SecureMailHost.py
# for the latest list of all available keys and default values.
# 
# 
MAILHOST_CONFIGURATION = {
  'title' : '',
  'smtp_host' : 'localhost',
  'smtp_port' : 25,
  'smtp_userid' : None,
  'smtp_pass' : None,
}



