## File "Configs/objects.py"
## -*- coding: utf-8 -*-
# 
# Configuration of portal contents.


# context.setConstrainTypesMode(constrainTypesMode)
#        """
#        Set how addable types is controlled in this class. If mode is 0, use
#        the type's default FTI-set allowable types). If mode is 1, use only
#        those types explicitly enabled using setLocallyAllowedTypes(). If
#        mode is -1, acquire the allowable types from the parent. If the parent
#        portal type is not the same as this object's type, fall back on the
#        behaviour obtained if mode == 0.
#        """

# context.setLocallyAllowedTypes(locallyAllowedTypes)
#        """
#        Set a list of type ids which should be allowed. Thist must be a 
#        subset of the type's FTI-set allowable types. This list only comes
#        into effect when the restrictions mode is 1 (enabled).
#        """

# context.setImmediatelyAddableTypes(immediatelyAddableTypes)
#        """
#        Set the list of type ids which should be immediately/most easily 
#        addable. This list must be a subset of any types set in 
#        setLocallyAllowedTypes.
#        """

CREATED_OBJECTS = (
  { 
    'id' : 'folder_id',
    'type' : 'Folder',
    'parameters' :  {
        'title' : 'Folder title',  
        'description' : 'Folder description',
      },
    'properties' : (
        { 'id' : 'right_slots', 'value' : [], 'type' : 'lines', },
        { 'id' : 'layout', 'value' : 'folder_summary_view', 'type' : 'string', },
      ),
    'deleted_properties' : (
        'left_slots',
      ),
    'constrain_types_mode' : 1,
    'locally_allowed_types' : [ 'Folder', 'RichDocument',],
    'immediately_addable_types' : [ 'Folder', 'RichDocument',],
  },

  {
    'id' : 'folder_id/document_id',
    'type' : 'Document',
    'exclude_from_nav' : True,
    'parameters' : {
        'title' : 'Document title',
        'description' : 'Document description',
      }
  },
)



UPDATED_OBJECTS = (
  {
    'id' : '',
    'properties' : (
        { 'id' : 'title', 'value' : 'Communauté d\'agglomération Arc de Seine', 'type' : 'string' },
        { 'id' : 'description', 'value' : 'Site Internet de la communauté d\'agglomération Arc de Seine', 'type' : 'text' },
        { 'id' : 'email_from_address', 'value' : 'py.landure@dorigo.fr', 'type' : 'string' },
        { 'id' : 'email_from_name', 'value' : 'Communauté d\'agglomération Arc de Seine', 'type' : 'string' },
        { 'id' : 'validate_email', 'value' : True, 'type' : 'boolean' },
        { 'id' : 'layout', 'value' : 'arc-de-seine-carte-accueil', 'type' : 'string' },
        { 'id' : 'left_slots', 'value' : [
                          'here/portlet_navigation/macros/portlet',
                          'here/portlet_popoll/macros/portlet',
                          'here/portlet_review/macros/portlet',
                          'here/portlet_rejected/macros/portlet',
                        ], 'type' : 'lines' },
        { 'id' : 'right_slots', 'value' : [
                          'here/portlet_shortcuts/macros/portlet',
                        ], 'type' : 'lines' },
      ),
  },

  {
    'id' : 'front-page',
    'exclude_from_nav' : True,
  },

  {
    'id' : 'Members',
    'exclude_from_nav' : True,
  },

  {
    'id' : 'news',
    'exclude_from_nav' : True,
  },

  {
    'id' : 'events',
    'exclude_from_nav' : True,
  },
)



DELETED_OBJECTS = ()



