## File "Configs/security.py"
## -*- coding: utf-8 -*-
# 
# Configuration of portal security.


# TODO : adding possibility to create new roles at different places.


## UPDATED_SECURITY
#
# Edit this dictionnary to update portal security settings.
# 
# * 'permission_to_manage' (required) : string
#   Name of the modified permission.
# 
# * 'acquire' (required) : boolean
#   Determine if the permissions of the parent is used or not.
# 
# * 'roles' (required) : list
#   List of roles to witch the permission is assigned.
# 
# 
# See manage_permission() arguments in AccessControl/Role.py of your zope installation
# for the latest list of all available keys and default values.
# 
# 
UPDATED_SECURITY = {
  '/' : (
          { 'permission_to_manage' : 'Add portal member', 'acquire' : 0, 'roles' : ['Manager',], },
          { 'permission_to_manage' : 'WebDAV Lock items', 'acquire' : 0, 'roles' : [],},
          { 'permission_to_manage' : 'WebDAV Unlock items', 'acquire' : 0, 'roles' : [],},
          { 'permission_to_manage' : 'WebDAV access', 'acquire' : 0, 'roles' : [],},
        ),
}


## ADDED_ROLES
#
# Edit this tuple of strings to add roles to the portal.
# 
#
ADDED_ROLES = ('Client',)

